
D4Science Infrastructure - Upgrade #9101

Upgrade Couchbase DEV Cluster

Jun 29, 2017 11:54 AM - Luca Frosini

Status: Completed Start date: Jun 29, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Upgrade CouchBase to Version 4.5.1    

Infrastructure: Development   

Description

History

#1 - Jun 29, 2017 12:25 PM - Tommaso Piccioli

- % Done changed from 0 to 30

Added couchbase03-d-d4s to the cluster and removed couchbase02-d-d4s, after that when you start the requested rebalance the cluster recognizes

this operation as "swap rebalance" and it remove the old node only after the rebalance is OK on the other two nodes. 

#2 - Jun 29, 2017 12:39 PM - Tommaso Piccioli

- Status changed from New to Planned

#3 - Jun 29, 2017 12:39 PM - Tommaso Piccioli

- Status changed from Planned to In Progress

#4 - Jun 30, 2017 12:30 PM - Tommaso Piccioli

- % Done changed from 30 to 70

first node migrated, second node on-going (added a new couchbase02-d-d4s to the cluster and removed couchbase01-d-d4s)

#5 - Jun 30, 2017 06:17 PM - Tommaso Piccioli

- Status changed from In Progress to Completed

- % Done changed from 70 to 100

migration completed, cluster is now couchbase02-d-d4 and couchbase03-d-d4s, with couchbase community server version 4.5.1
